View Issue Details

IDProjectCategoryView StatusLast Update
15984Bug reportsPrint Viewpublic2020-03-16 13:22
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.22.9 
Fixed in Version3.22.9 
Summary15984: Order of subquestion are not respected in print answers
Description

Order is inverse in this survey when print answers

Steps To Reproduce

Import included lsa,
Luanch
Print answers

Additional Information

And since we don't have a |sort filter : no way to fix it ....

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.22.8
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2020-03-13 18:07

developer  

DenisChenu

DenisChenu

2020-03-13 18:30

developer   ~56444

To see the issue :

Must deactivate survey
Change order
Activate survey
test

DenisChenu

DenisChenu

2020-03-13 19:39

developer   ~56530

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29696

lime_release_bot

lime_release_bot

2020-03-16 13:22

administrator   ~56565

Fixed in Release 3.22.9+200317

Related Changesets

LimeSurvey: master 73763634

2020-03-13 19:39:06

DenisChenu

Details Diff
Fixed issue 15984: Order of subquestion are not respected in print answers
Dev: can not test : print answers is broken in 4.X
Dev: same fix must be applied
Affected Issues
15984
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2020-03-13 18:07 DenisChenu New Issue
2020-03-13 18:07 DenisChenu File Added: survey_archive_arrayPrint.lsa
2020-03-13 18:21 DenisChenu Assigned To => DenisChenu
2020-03-13 18:21 DenisChenu Status new => assigned
2020-03-13 18:30 DenisChenu Note Added: 56444
2020-03-13 19:39 DenisChenu Changeset attached => LimeSurvey master 73763634
2020-03-13 19:39 DenisChenu Note Added: 56530
2020-03-13 19:39 DenisChenu Resolution open => fixed
2020-03-13 19:40 DenisChenu Status assigned => resolved
2020-03-13 19:40 DenisChenu Fixed in Version => 3.22.9
2020-03-14 10:37 c_schmitz Summary Orfder of subquestion are not respected in print answers => Order of subquestion are not respected in print answers
2020-03-16 13:22 lime_release_bot Note Added: 56565
2020-03-16 13:22 lime_release_bot Status resolved => closed